package com.engine.kq.service;

import weaver.hrm.User;

import java.util.Map;

/**
 * 假期类型
 */
public interface KQLeaveTypesService {

    /**
     * 获取右键菜单
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user);

    public Map<String, Object> getSearchCondition(Map<String, Object> params, User user);

    /**
     * 获取假期类型列表
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getSearchList(Map<String, Object> params, User user);

    /**
     * 获取新建或编辑的表单
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getLeaveTypesForm(Map<String, Object> params, User user);

    /**
     * 新建
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> addLeaveTypes(Map<String, Object> params, User user);

    /**
     * 编辑
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> editLeaveTypes(Map<String, Object> params, User user);


    /**
     * 删除
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> deleteLeaveTypes(Map<String, Object> params, User user);

    /**
     * 判断名称是否重复
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> isNameRepeat(Map<String, Object> params, User user);

    /**
     * 是否启用
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> saveDisableLeaveTypes(Map<String, Object> params, User user);

    /**
     * 时间选择方式表单
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getTimeSelectionForm(Map<String, Object> params, User user);

    /**
     * 时间选择方式表单
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> saveTimeSelectionForm(Map<String, Object> params, User user);
}
